:root{
    --purple:#2b1474;
    --purple2:#3b2590;
    --orange:#ff7a1a;
    --dark:#111827;
    --navy:#28106d;
    --muted:#687083;
    --light:#f6f7fb;
    --border:#e8e8f0;
    --soft-border:#d9e2ef;
}

*{
    box-sizing:border-box;
}

body{
    margin:0;
    font-family:Inter, Arial, sans-serif;
    color:var(--dark);
    background:#fff;
}

a{
    text-decoration:none;
}

.container{
    max-width:1180px;
}

/* Topbar & Navbar */
.topbar{
    background:#28166f;
    color:#fff;
    font-size:13px;
    font-weight:500;
    padding:7px 0;
}

.navbar-brand img{
    height:60px;
}

.nav-link{
    font-weight:700;
    color:#111 !important;
    font-size:14px;
    margin:0 7px;
}

.btn-orange,
.btn-orange:hover{
    background:var(--orange);
    border:0;
    color:#fff !important;
    font-weight:700;
    font-size:16px;
    border-radius:6px;
    padding:6px 14px;

}

/* Banner */
.hero-banner{
    width:100%;
    overflow:hidden;
}

.hero-banner img{
    width:100%;
    height:auto;
    display:block;
}

/* Top Feature Strip */
.features-card{
    background:#fff;
    margin-top:17px;
    border-radius:16px;
    border:1px solid #d9e1ee;
    box-shadow:0 12px 28px rgba(0,0,0,.14);
    position:relative;
    z-index:2;
    padding:26px 5px;
}

.mini-feature{
    padding:0 20px;
    border-right:1px solid #d9e1ee;
    height:100%;
    display:flex;
    align-items:center;
    gap:16px;
    text-align:left;
}

.mini-feature i{
    width:58px;
    height:58px;
    min-width:58px;
    background:#fff1e8;
    color:var(--orange);
    border-radius:16px;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:28px;
}

.mini-feature b,
.mini-feature small{
    display:block;
}

.mini-feature b{
    color:#061a3a;
    font-size:14px;
    font-weight:600;
    line-height:1.1;
    padding-bottom:4px;
}

.mini-feature small{
    color:#6f7b91;
    font-size:12px;
    line-height:1.25;
}

/* Common Sections */
.section-pad{
    padding:40px 15px;
}

.section-tag{
    position:relative;
    display:inline-block;
    color:#f58220;
    font-size:12px;
    font-weight:700;
    letter-spacing:1px;
    text-transform:uppercase;
    padding-top:12px;
    margin-bottom:15px;
}

.section-tag::before{
    content:"";
    position:absolute;
    bottom:-2px;
    left:0;
    width:45px;
    height:3px;
    background:#f58220;
    border-radius:5px;
}

h2{
    color:var(--navy);
    font-size:28px;
    line-height:1.1;
    font-weight:900;
    letter-spacing:-.7px;
}

p{
    color:var(--muted);
    line-height:1.65;
}

.subtext{
    color:#66738a;
    font-size:16px;
    margin-bottom:35px;
}

.light-section{
    background:#f5f7fc;
}

/* Cards */
.white-card,
.icon-card,
.small-card,
.step-card{
    background:#fff;
    border:1px solid var(--border);
    border-radius:16px;
    box-shadow:0 12px 32px rgba(16,24,40,.06);
}

.white-card{
        padding: 24px 30px;
    height:100%;
    min-height:230px;
}

.white-card h4{
    color:var(--navy);
    font-size:22px;
    font-weight:900;
    margin-bottom:22px;
}
.duration-card{
    background:#fff;
    border:1px solid #dbe5f1;
    border-radius:20px;
    padding:28px 30px;
    box-shadow:none;
}

.duration-heading{
    display:flex;
    align-items:center;
    gap:16px;
    margin-bottom:42px;
}

.duration-icon{
    width:50px;
    height:50px;
    border-radius:14px;
    background:#fff1e8;
    color:#ff7415;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:24px;
    flex-shrink:0;
}

.duration-heading h4{
    margin:0;
    color:#28106d;
    font-size:22px;
    font-weight:800;
}

.pill-wrap{
    display:flex;
    flex-wrap:wrap;
    gap:14px 45px;
}

.pill-wrap span{
    display:inline-flex;
    align-items:center;
    gap:6px;
    background:#f9fbff;
    border:1px solid #edf1f7;
    border-radius:30px;
    padding:10px 14px;
    color:#111;
    font-size:13px;
    font-weight:700;
    box-shadow:0 2px 8px rgba(0,0,0,0.03);
}

.pill-wrap span i{
    color:#ff7415;
    font-size:14px;
}

@media(max-width:576px){
    .duration-card{
        padding:22px;
    }

    .duration-heading h4{
        font-size:22px;
    }

    .pill-wrap{
        gap:12px;
    }
}
.white-card h4 i,
.small-card i{
    font-size:28px;
    color:var(--orange);
    background:#fff4ec;
    border-radius:10px;
    padding:12px;
}

/* Course Overview List */
.orange-list{
    padding-left:0;
    list-style:none;
    margin-bottom:0;
}

.orange-list li{
    display:flex;
    align-items:flex-start;
    margin-bottom:6px;
    font-weight:700;
}

.orange-list li::before{
    content:"●";
    color:var(--orange);
    font-size:30px;
    line-height:1.3;
    margin-right:10px;
    margin-top:-9px;
}

/* Snapshot / Purple Cards */
.snapshot,
.career-box,
.cta-card{
    background:linear-gradient(145deg,var(--purple),#321883);
    color:#fff;
    border-radius:18px;
    padding:34px;
    position:relative;
    overflow:hidden;
}

.snapshot::after,
.career-box::after{
    content:"";
    position:absolute;
    width:240px;
    height:240px;
    border:24px solid rgba(255,122,26,.18);
    border-radius:50%;
    right:-85px;
    bottom:-120px;
}

.snapshot span{
    color:var(--orange);
    position:relative;
    display:inline-block;
    margin-bottom:12px;
}

.snapshot span::after{
    content:"";
    position:absolute;
    left:0;
    bottom:-2px;
    width:42%;
    height:2px;
    background:var(--orange);
    border-radius:10px;
}

.snapshot h3{
    font-size:29px;
    font-weight:900;
}
.career-box h2{
    color:#fff;
}

.snapshot p,
.career-box p,
.cta-card p{
    color:#d9d3ff;
}

.snap-box{
    background:rgba(255,255,255,.1);
    border:1px solid rgba(255,255,255,.14);
    padding:16px;
    border-radius:4px;
}

.snap-box b,
.snap-box small{
    display:block;
}

/* Program Highlights */
.light-section h2{
    color:var(--navy);
    font-size:32px;
    font-weight:800;
    margin-bottom:15px;
}

.icon-card{
    height:100%;
    display:flex;
    gap:18px;
    padding:28px;
    min-height:150px;
    align-items:flex-start;
    border:1px solid #d9e2ef;
}

.icon-card i{
    width:54px;
    height:54px;
    min-width:54px;
    border-radius:14px;
    background:#f1eaff;
    color:#3b2490;
    font-size:30px;
    display:flex;
    align-items:center;
    justify-content:center;
    padding:0;
}

.row > div:nth-child(2) .icon-card i,
.row > div:nth-child(4) .icon-card i,
.row > div:nth-child(6) .icon-card i{
    background:#fff1e8;
    color:var(--orange);
}

.icon-card h5,
.small-card b{
        color: var(--navy);
    font-size: 16px;
    font-weight: 800;
    margin-bottom: 14px;
}

.icon-card p,
.small-card p{
    color:#66738a;
    font-size:13px;
    line-height:1.5;
    margin:0;
}

/* Eligibility */
.pill-wrap{
    display:flex;
    gap:15px;
    flex-wrap:wrap;
    margin-top:25px;
}

.pill-wrap span{
    font-weight:800;
    font-size:13px;
}


/* Specializations */
.spec-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:18px;
    margin-top:20px;
}

.spec-grid div{
    display: flex;
    align-items: center;
    background:var(--purple);
    color:#fff;
    border-radius:9px;
    padding:15px 16px;
    font-weight:800;
    font-size:13px;
}

.spec-grid i{
    background:#fff3ec;
    color:var(--orange);
    padding:9px;
    border-radius:8px;
    margin-right:8px;
    font-size:20px;
}

/* Career */
.career-card {
    background: rgba(255, 255, 255, .12);
    border: 1px solid rgba(255, 255, 255, .1);
    border-radius: 10px;
    padding: 12px 18px;
    min-height: 99px;
}

.career-card i{
    color:var(--orange);
    font-size:24px;
}

.career-card b,
.career-card small{
    display:block;
    color:#fff;
}

.career-card small{
    color:#cbc3ff;
    font-size:13px;
}

/* Admission Steps */
.step-grid{
    display:grid;
    grid-template-columns:repeat(5,1fr);
    gap:18px;
    margin-top:25px;
}

.step-card{
    text-align:center;
    padding:20px 18px;
}

.step-card i{
    background:var(--orange);
    color:#fff;
    font-size:26px;
    padding:12px 15px;
    border-radius:12px;
}

.step-card small{
    display:block;
    color:var(--orange);
    font-weight:900;
    margin-top:18px;
}

.step-card b{
    display:block;
}

.step-card p{
    font-size:12px;
    margin:0;
    line-height:1.5;
}

/* Why Choose */
.choose-card{
    height:100%;
}

.small-card{
        padding: 18px 24px;
    height:100%;
    display: flex;
    align-items: center;
}

.small-card i{
    margin-right:12px;
}

/* FAQ */
.cta-card{
    padding:32px;
}

.accordion-item{
    border:1px solid var(--border) !important;
    margin-bottom:12px;
    border-radius:12px !important;
    overflow:hidden;
    
}

.accordion-button{
    font-weight: 700;
    font-size: 16px;
}

.accordion-button:not(.collapsed){
    background:#fff;
    color:#111;
    box-shadow:none;
}

/* Footer */
.footer{
    background:#332184;
    color:#fff;
    padding:50px 0 25px;
}

.footer img{
    height:76px;
    background:#fff;
    border-radius:6px;
    padding:5px;
    margin-bottom:20px;
}

.footer p,
.footer a,
.footer small{
    display:block;
    color:#ddd;
    font-size:13px;
    margin-bottom:10px;
}

.footer h6{
    font-weight:900;
    margin-bottom:18px;
}

.social i{
    width:32px;
    height:32px;
    border-radius:50%;
    background:rgba(255,255,255,.12);
    display:inline-flex;
    align-items:center;
    justify-content:center;
    margin-right:7px;
}

.footer hr{
    border-color:rgba(255,255,255,.2);
    margin:30px 0 20px;
}

/* Responsive */
@media(max-width:991px){
    .topbar .container{
        gap:6px;
        flex-direction:column;
    }

    .navbar-collapse{
        padding:15px 0;
    }

    .nav-link{
        margin:4px 0;
    }

    .features-card{
        padding:20px;
        margin-top:0;
        border-radius:0;
    }

    .mini-feature{
        padding:18px;
        border-right:0;
        border-bottom:1px solid #d9e1ee;
    }

    .features-card .col-6:nth-child(odd) .mini-feature{
        border-right:1px solid #d9e1ee;
    }

    .features-card .col-12 .mini-feature{
        border-right:0;
        border-bottom:0;
    }

    h2{
        font-size:29px;
    }

    .spec-grid,
    .step-grid{
        grid-template-columns:repeat(2,1fr);
    }
}

@media(max-width:767px){
    .section-pad{
        padding:40px 15px;
    }

    .light-section h2{
        font-size:28px;
    }

    .subtext{
        font-size:15px;
    }

    .icon-card{
        padding:22px;
        min-height:auto;
    }
}

@media(max-width:576px){
    .container{
        padding-left:18px;
        padding-right:18px;
    }

    .navbar-brand img{
        height:45px;
    }

    .topbar{
        font-size:10px;
    }

    .features-card{
        padding:10px;
        border-radius:14px;
    }

    .mini-feature{
        padding:15px 10px;
        gap:12px;
    }

    .mini-feature i{
        width:48px;
        height:48px;
        min-width:48px;
        font-size:23px;
    }

    .mini-feature b{
        font-size:14px;
    }

    .mini-feature small{
        font-size:13px;
    }

    h2{
        font-size:25px;
    }

    .white-card,
    .snapshot,
    .career-box,
    .cta-card{
        padding:23px;
    }

    .spec-grid,
    .step-grid{
        grid-template-columns:1fr;
    }

    .col-6 .mini-feature{
        min-height:130px;
    }

    .career-card{
        min-height:145px;
        padding:18px 10px;
    }

    .snap-box{
        padding:16px 8px;
    }

    .snapshot h3{
        font-size:24px;
    }

    .light-section h2{
        font-size:24px;
    }
}

@media(max-width:376px){
    .mini-feature{
        padding:15px 9px;
        gap:7px;
        display:block;
    }
}
